controllers/PruebasController.php
<?php

namespace app\controllers;

use yii\web\Controller;

class PruebasController extends Controller{
    public function actionIndex(){
        
        if(\Yii::$app->request->post()){
            $datos= \Yii::$app->request->post('nombre');
            return $this->render("index",["mensaje"=>$datos]);
        }else{
            return $this->render("index",["mensaje"=>"Probando un poco Yii2, nada Enviado"]);
        }
        
    }
    
    public function actionFormu1(){
        return $this->render("formu1");
    }
    
    public function actionFormu2(){
        $model=new \app\models\Formu2;
        
        if($model->load(\Yii::$app->request->post()) && $model->validate()){
            return $this->render('resultados',['model'=>$model]);
        }else{
            return $this->render('formu2',['model'=>$model]);
        }
    }
}

views/pruebas/formu1.php
<?php

use yii\helpers\Html;

echo "<h1>Formulario para enviar sin modelo</h1>";
echo Html::beginForm(['pruebas/index','id'=>'formulario1'],'post');
echo Html::input('text','nombre');        
echo Html::submitButton('Enviar',['class'=>'submit']);
echo Html::endForm();

views/pruebas/formu2.php
<?php

use yii\widgets\ActiveForm;
use yii\helpers\Html;

$form=ActiveForm::begin([
    'id'=>'login-form',
]);

  echo $form->field($model, 'nombre')->textInput();
  echo $form->field($model, 'apellidos')->textInput();
  echo $form->field($model, 'telefono')->textInput();
  echo $form->field($model, 'correo')->textInput();
  echo $form->field($model, 'casado')->checkbox(['value'=>'Si','uncheck' => 'No']);
  echo $form->field($model,'poblacion')->dropDownList($model->getValoresPoblaciones());
  echo Html::submitButton('Enviar');
  ActiveForm::end();
  
 ?>

views/pruebas/index.php
<div class="jumbotron">
    <div class="container">
        <h1><?= $mensaje  ?></h1>
    </div>
</div>

views/pruebas/resultados.php
<div class="col-md-4 text-center">
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('Nombre'),
        'value'=>$model->nombre,
        ],   
    ],
]);

echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('apellidos'),
        'value'=>$model->apellidos,
        ],
    ],    
]);

echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('telefono'),
        'value'=>$model->telefono,
        ],
    ],    
]);

echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('correo'),
        'value'=>$model->correo,
        ],
    ],    
]);

echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('poblacion'),
        'value'=>$model->poblacion,
        ],
    ],    
]);
echo DetailView::widget([
   'model'=>$model,
    'attributes'=>[
        [
        'label'=>$model->getAttributeLabel('casado'),
        'value'=>$model->casado,
        ],
    ],    
]);

?>
</div>